import { Logger, LoggerLevel } from "./../libs/logger";
import { GroupElement } from "./group/group.interface";
import { Scene } from "./scene/scene";
import { VarsProps } from "./vars/vars.props";
export interface Element {
    title?: string;
    ignoreError?: boolean;
    error?: any;
    log?: LoggerLevel;
    vars?: VarsProps;
    async?: boolean;
    loop?: string;
    loopKey?: any;
    loopValue?: any;
    tag?: string;
    parentData?: any;
    parent?: GroupElement;
    setContextVarsString?: any;
    setContextVarsObject?: any;
    execResult?: any;
    ignoreVarsBeforeExec?: string[];
    logger?: Logger;
    scene?: Scene;
    evalPropsBeforeExec?(): void;
    setVarsAfterExec?(): Promise<void>;
    markElementNeedReplace?(): void;
    findParentWithType?<T extends GroupElement>(ClazzType: new (...args: any[]) => T): T;
    init(props?: any): any;
    exec(input?: any): any;
    dispose(): any;
}
