import { Logger } from "../../libs/logger";
import { ElementBuilder } from "../element-builder";
import { Element } from "../element.interface";
import { VarsProps } from "../vars/vars.props";
import { SceneProps } from "./scene.props";
export declare class Scene implements Element {
    #private;
    private isRoot;
    title?: string;
    description?: string;
    ignoreVarsBeforeExec: string[];
    vars?: VarsProps;
    path?: string;
    encryptedPath?: string;
    content?: string;
    password?: string;
    logger: Logger;
    curDir: string;
    scene: Scene;
    globalVars: {
        [key: string]: any;
    };
    get elementBuilder(): ElementBuilder;
    get count(): number;
    getPath(p: string): string;
    constructor(isRoot?: boolean);
    init(props: SceneProps): Promise<void>;
    initGroup(): Promise<void>;
    exec(): Promise<Element[]>;
    dispose(): Promise<void>;
    getVars(str: any, ctx?: any, others?: any): Promise<any>;
    setVars(varObj: any, vl: any, ctx?: any): Promise<string[]>;
    mergeVars(obj: any): void;
    private getRemoteFileProps;
    private decryptContent;
    private generateEncryptedFile;
    private loadVars;
    private loadEnv;
}
